Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.validator
Interface EhealthReplyValidator

All Known Implementing Classes:
  EhealthReplyValidatorImpl

    public interface EhealthReplyValidator

The Interface EhealthReplyValidator. Default impl : `EhealthReplyValidatorImpl`

Method Summary
`boolean` | `validateReplyStatus(ResponseType response)` Validate reply status.
`boolean` | `validateReplyStatus(ResponseType response)` Validate reply status.
`boolean` | `validateReplyStatus(StatusResponseType response)` Validate reply status.

Method Detail

### validateReplyStatus

    boolean validateReplyStatus(ResponseType response)
                                throws SoaErrorException

  Validate reply status.

  Parameters:
    `response` - the response
  Returns:
    true, if successful
  Throws:
    `SoaErrorException` - the exception containing the error retrieved from the webservice

### validateReplyStatus

    boolean validateReplyStatus(ResponseType response)
                                throws SoaErrorException

  Validate reply status.

  Parameters:
    `response` - the response
  Returns:
    true, if successful
  Throws:
    `SoaErrorException` - the exception containing the error retrieved from the webservice

### validateReplyStatus

    boolean validateReplyStatus(StatusResponseType response)
                                throws SoaErrorException

  Validate reply status.

  Parameters:
    `response` - the response
  Returns:
    true, if successful
  Throws:
    `SoaErrorException` - the exception containing the error retrieved from the webservice

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TRUSSMAKER 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.